<!DOCTYPE html>
<html>

<head>
  <meta charset="UTF-8"> 
  <meta name="viewport" content="width=device-width, initial-scale=1.0">

  <!-- Meta -->
  <title>GNOME + GSoC = ❤️</title>
  <meta name="title" content="GNOME GSoC">
  <meta itemprop="name" content="GNOME GSoC">
  <meta name="description" content="Participate in Google Summer of Code with GNOME">
  <meta itemprop="description" content="Participate in Google Summer of Code with GNOME">

  <!-- Twitter -->
  <meta property="twitter:title" content="GNOME GSoC">
  <meta property="twitter:image" content="http://gsoc.gnome.org/card.png">
  <meta property="twitter:description" content="Participate in Google Summer of Code with GNOME">

  <!-- Open Graph -->
  <meta property="og:title" content="GNOME GSoC">
  <meta property="og:url" content="https://gsoc.gnome.org">
  <meta property="og:description" content="Participate in Google Summer of Code with GNOME">

  <link rel="stylesheet" href="https://static.gnome.org/css/inter.css">
  <link rel="stylesheet" href="gnome.css">
  <link rel="icon" type="image/png" href="/favicon.svg">
  <link rel="apple-touch-icon" href="/apple-touch-icon.png" sizes="180x180">
</head>

<body>

  <div class="wrapper">
    <main aria-label="Content">

      <h1 class="post-item-note animation">GNOME + GSoC = ❤️</h1>

      <article class="post-item">
        <p>Participate in <a href="https://summerofcode.withgoogle.com/">Google Summer of Code</a> with <a href="https://gnome.org">GNOME</a>!</p>

        <p>Google Summer of Code is a global, online program focused on bringing new contributors into open source software development. GSoC Contributors work with an open source organization on a 12+ week programming project under the guidance of mentors.</p>
      </article>

      <article class="post-item">
        <h4 class="post-item-title">How to Apply</h4>

        <ul>
          <li><a href="#small-contribution">Make a small contribution</a></li>
          <li><a href="#decide-project">Decide on a GSoC project</a></li>
          <li><a href="#fill-application">Fill out the application</a></li>
        </ul>
      </article>

      <article class="post-item">
        <h4 class="post-item-title" id="small-contribution">Make a Small Contribution</h4>


        <p>We want to make sure that new contributors are familiar with our development workflow and with the tools involved with it. Make at least one small code contribution to a GNOME project (preferably related to the project you want to work on during GSoC) to demonstrate you can build the application from the source code, make changes to it, and submit a merge request in the project's GitLab repository.</p>

        <p>To learn how to contribute code to GNOME, go through our <a href="https://welcome.gnome.org">Welcome to GNOME</a> platform.</p>
      </article>

      <article class="post-item">
        <h4 class="post-item-title" id="decide-project">Decide on a GSoC project</h4>

        <p>Our mentors put together a <a href="https://gsoc.gnome.org/2025/">list of project ideas</a> that you can choose. Project proposals are not exclusive to the ones listed in our project ideas page. You can contact the main developers or any GNOME project, introduce yourself, and suggest your own project ideas. Base any ideas you propose on the research about the needs of a particular module and make sure there is a mentor interested in guiding you in implementing this idea before basing your application on it.</p>

        <p>You can contact the GNOME community in our <a href="https://wiki.gnome.org/Community/GettingInTouch/IRC">Matrix channels</a>.</p>
      </article>

      <article class="post-item">
        <h4 class="post-item-title" id="fill-application">Fill out the Application</h4>

        <p>Once the application period has opened, you have to submit your application on the Google Summer of Code website. Your application must be written in English. It should contain a detailed description of your project proposal.</p>

        <p>Copy our <a href="https://docs.google.com/document/d/10XyjiKmLbZ87pdtXRqi1xdSqKITr6TfPhcLp2hGwN60/edit?usp=sharing">Google Document template</a> and make sure you answer all of the questions.</p>

        <p>Please be factual and clear in answering these questions. Feel free to add anything else that is relevant for your application. It is never too early to start working on your GSoC application! Note that GSoC positions are very competitive (with about 4 applicants for one position in the past) The key to creating a strong proposal is to propose a manageable and agreed-upon project, make a contribution to the module your proposal is related to, and write an application that clearly demonstrates your knowledge, skills, and enthusiasm. </p>

        <p>The following things can help you select a project and prepare your idea:</p>

        <ul>
          <li>Read the project's page in the <a href="https://apps.gnome.org/">Apps for GNOME website</a></li>
          <li>Lurk on the project's <a href="https://wiki.gnome.org/Community/GettingInTouch/IRC">chat channel</a></li>
          <li>Look at the recent changes in the <a href="https://gitlab.gnome.org/GNOME">project's git repository</a></li>
          <li>Read <a href="http://planet.gnome.org/">Planet GNOME</a></li>
        </ul>
      </article>

      <article class="post-item">
        <h4 class="post-item-title">Still have some doubts/questions?</h4>

        <p>You can ask questions by opening a topic in our <a href="https://discourse.gnome.org/c/community/outreach/334">Discourse community</a>, sending an email to <a href="mailto:soc-admins@gnome.org">soc-admins@gnome.org</a>, or reaching out in our <a href="https://matrix.to/#/#internship:gnome.org">Internships Matrix chat room</a>.</p>

      </article>

    </main>
  </div>

</body>

</html>
